# Generated from ddr-core-1.6.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ddr-core

Name: rubygem-%{gem_name}
Version: 1.6.5
Release: 1%{?dist}
Summary: Models used in the Duke Digital Repository
License: BSD-3-Clause
URL: https://gitlab.oit.duke.edu/ddr/ddr-core
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(equivalent-xml)
# BuildRequires: rubygem(factory_bot_rails)
# BuildRequires: rubygem(rails-controller-testing)
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(solr_wrapper)
BuildArch: noarch

%description
Models used in the Duke Digital Repository.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 1.6.5-1
- Initial package
